### Hierarchy

- ResourceSetImpl

### Implements

- ResourceSet

## Index

### Constructors

- constructor

### Properties

- resourceMap

### Methods

- clear
- getResource
- hasResource
- registerResource

## Constructors

### constructor

- new ResourceSetImpl(): ResourceSetImpl

- - Defined in resources/resource-set.ts:40

  #### Returns ResourceSetImpl

## Properties

### Private resourceMap

resourceMap: object

- Defined in resources/resource-set.ts:40

#### Type declaration

- ##### [name: string]: Object

## Methods

### clear

- clear(): void

- Implementation of ResourceSet.clear

  - Defined in resources/resource-set.ts:68

  #### Returns void

### getResource

- getResource(name: string): Object

- Implementation of ResourceSet.getResource

  - Defined in resources/resource-set.ts:46

  #### Parameters

  - ##### name: string

  #### Returns Object

### hasResource

- hasResource(name: string): boolean

- Implementation of ResourceSet.hasResource

  - Defined in resources/resource-set.ts:50

  #### Parameters

  - ##### name: string

  #### Returns boolean

### registerResource

- registerResource(name: string, resource: Object, resolveReferences?: boolean): Object

- Implementation of ResourceSet.registerResource

  - Defined in resources/resource-set.ts:54

  #### Parameters

  - ##### name: string

  - ##### resource: Object

  - ##### Default value resolveReferences: boolean = false

  #### Returns Object

Generated using TypeDoc